classification
Title: vimrc: use matchall() instead of ":match" to allow multiple matches
Type: behavior Stage: patch review
Components: Demos and Tools Versions:
process
Status: closed Resolution: wont fix
Dependencies: 9893 Superseder:
Assigned To: brett.cannon Nosy List: blueyed, brett.cannon, eric.araujo
Priority: low Keywords: patch

Created on 2010-06-26 02:43 by blueyed, last changed 2012-11-15 21:21 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
python-vimrc-use-matchadd.diff blueyed, 2010-06-26 02:43
Messages (2)
msg108683 - (view) Author: daniel hahler (blueyed) * Date: 2010-06-26 02:43
This patch fixes the vimrc example file to use matchadd() instead of ":match", so that the second "match" does not overwrite the first one.

This resulted in leading tabs not highlighted as BadWhitespace.
msg175646 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-15 21:21
7e37a6c76e36 removes the files in Misc/Vim. Thanks for the patch regardless, Daniel. If the syntax file in Vim is out of date then I would suggest trying to submit a patch. I have found the Vim maintainer quite willing to take fixes.
History
Date User Action Args
2012-11-15 21:21:20brett.cannonsetstatus: open -> closed
resolution: wont fix
messages: + msg175646
2011-03-21 00:37:26eric.araujosetkeywords: + patch, - needs review, gsoc
assignee: benjamin.peterson -> brett.cannon

nosy: - benjamin.peterson
2011-03-21 00:36:59eric.araujosetkeywords: + gsoc, - patch
assignee: brett.cannon -> benjamin.peterson
dependencies: + Removing the Misc/Vim/ files

nosy: + eric.araujo, benjamin.peterson
2010-06-26 18:59:58brett.cannonsetnosy: + brett.cannon
priority: normal -> low
assignee: brett.cannon
keywords: + needs review
type: behavior
stage: patch review
2010-06-26 02:43:45blueyedsetfiles: + python-vimrc-use-matchadd.diff
keywords: + patch
2010-06-26 02:43:11blueyedcreate